<?php
	register_nav_menus( array(
		'primary' => __( 'Primary Navigation', 'typografia' ),
	) );

	if (function_exists('register_sidebar') )
	register_sidebar(array(
	'name' => 'Sidebar',
	'before_title' => '<h2 class="widgettitle">{',
	'after_title' => '}</h2>'
	));


function typografia_pings($comment, $args, $depth) {
$GLOBALS['comment'] = $comment;
?>
<li id="comment-<?php comment_ID(); ?>"><?php
comment_author_link();
}

function typografia_comment($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment; static $comment_number;
        $comment_number++;?>
   <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
      <div id="comment-<?php comment_ID(); ?>" class="comment-body">
      <?php if ($comment->comment_approved == '0') : ?>
         <em><?php _e('Ваш комментарий ожидает модерации.') ?></em>
         <br />
      <?php endif; ?>
<div class="commcount"><label><?php echo $comment_number; ?></label></div>
      <div class="comment-meta commentmetadata"><a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>"><?php printf(__('%1$s at %2$s'), get_comment_date(),  get_comment_time()) ?></a><?php edit_comment_link(__('(Изменить)'),'  ','') ?></div>

      <?php comment_text() ?>

      <div class="reply">
         <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
      </div>
     </div>
           <div class="avatar">
         <?php echo get_avatar($comment,$size='70',$default='<path_to_url>' ); ?>
         <?php printf(__('<div class="fn">%s</div>'), get_comment_author_link()) ?>
      </div>
<?php
        }
$themename = "Typografia";
$shortname = "typ";
$options = array(
array(
"type" => "open",
"id" => $shortname."_temp",
"std" => ""
),
array(
"name" => "Стили",
"type" => "select",
"id" => $shortname."_style",
"desc" => "Выберите стиль из списка",
"options" => array("Стиль1","Стиль2","Стиль3","Стиль4","Стиль5"),
"std" => "Style1"
),

array(
"name" => "Обо мне картинка",
"type" => "text",
"id" => $shortname."_about_pic",
"desc" => "Ссылка на картинку в блоке Обо мне (100px × 100px)",
"std" => "http://i.piccy.info/i7/12838c46fe601ebf609f3259c14b54b9/1-5-1179/20314204/Avatar.png"
),

array(
"name" => "Twitter Ид",
"type" => "text",
"id" => $shortname."_twitter",
"desc" => "Ваш Twitter Ид",
"std" => "towfiqi"
),

array(
"name" => "Скрыть Twitter Подачу?",
"type" => "checkbox",
"id" => $shortname."_hide_twitter",
"std" => "false"
),

array(
"name" => "Обо мне текст",
"type" => "textarea",
"desc" => "Введите Обо мне текст выше",
"id" => $shortname."_aboutext",
"std" => "В этом блоке, вам стоит написать что-то о себе. Свою интересную историю, или чем вы занимаетесь, ваше хобби, работа и так далее. Все что вам придет в голову, пишите здесь о себе. Даже где живете тоже можете написать."
),

array(
"name" => "Скрыть Обо мне Блок?",
"type" => "checkbox",
"id" => $shortname."_hide_about",
"std" => "false"
),

array(
"type" => "close",
"id" => $shortname."_temp",
"std" => ""
)
);

function mytheme_add_admin() {
global $themename, $shortname, $options;
		$optionvar = array();
    if ( isset($_GET['page']) && $_GET['page'] == basename(__FILE__) )  {
        if ( isset($_REQUEST['action']) && 'save' == $_REQUEST['action'] ) {
foreach ($options as $value) {
  if (isset($_REQUEST[ $value['id'] ])) {
    update_option( $value['id'], $_REQUEST[ $value['id'] ] );
  }
}
 foreach ($options as $value) {
                    if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] );
						}
					}
				update_option( $shortname."_options", $optionvar  );
				header("Расположение: themes.php?page=functions.php&saved=true");
                die;

        } else if( isset($_REQUEST['action']) && 'reset' == $_REQUEST['action'] ) {

            foreach ($options as $value) {
                delete_option( $value['id'] ); }

            header("Расположение: themes.php?page=functions.php&reset=true");
            die;

        }
    }

    add_theme_page($themename." Опции", "".$themename." Опции", 'edit_themes', basename(__FILE__), 'mytheme_admin');

}

function mytheme_admin() {
    global $themename, $shortname, $options, $option_values;
    if ( isset($_REQUEST['saved']) &&  $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings saved.</strong></p></div>';
    if ( isset($_REQUEST['reset']) &&  $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings reset.</strong></p></div>';
?>
<div class="wrap" style="margin:0px 20px; padding:20px 0px 0px;">
<h2><?php _e('Typografia Настройки') ?></h2>
<form method="post">

<?php foreach ($options as $value) {
switch ( $value['type'] ) {

case "open":
?>
<div style="width:808px; background:#eee; border:1px solid #ddd; padding:20px; overflow:hidden; display: block; margin: 0px 0px 30px;">

<?php break;

case "close":
?>

</div>

<?php break;

case "misc":
?>
<div style="width:808px; background:#fffde2; border:1px solid #ddd; padding:20px; overflow:hidden; display: block; margin: 0px 0px 30px;">
	<?php echo $value['name']; ?>
</div>
<?php break;

case "title":
?>

<div style="width:810px; height:22px; background:#555; padding:9px 20px; overflow:hidden; margin:0px; font-family:Verdana, sans-serif; font-size:18px; font-weight:normal; color:#EEE;">
	<?php echo $value['name']; ?>
</div>

<?php break;

case "heading":
?>

<div style="width:800px; height:22px; color:#555; padding:9px 0px; overflow:hidden; margin:0px; font-family:Verdana, sans-serif; font-size:21px; font-weight:bold; font-style:normal; border-bottom:solid 2px #666; margin-bottom:15px;">
	<?php echo $value['name']; ?>
</div>

<?php break;

case 'text':
?>

<div style="width:800px; padding:0px 0px 10px; margin:0px 0px 10px; border-bottom:1px solid #ddd; overflow:hidden;">
	<span style="font-family:Arial, sans-serif; font-size:16px; font-weight:bold; color:#444; display:block; padding:5px 0px; width:350px; float:left;">
		<?php echo $value['name']; ?>
	</span>

	<input style="width:200px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo stripslashes(get_option( $value['id'] )); } else { echo stripslashes($value['std']); } ?>" />
	<br/>
	<span style="font-family:Arial, sans-serif; font-size:11px; font-weight:bold; color:#444; display:block; padding:5px 0px; width:350px; float:left;">
		<?php echo $value['desc']; ?>
	</span>
</div>


<?php
break;


case 'text2':
?>

<div style="width:460px; padding:0px 0px 10px; margin:0px 0px 10px; border-bottom:1px solid #ddd; overflow:hidden; float:right;">
	<span style="font-family:Arial, sans-serif; font-size:16px; font-weight:bold; color:#444; display:block; padding:5px 0px; width:auto; float:left;">
	</span>
	<input style="width:200px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo stripslashes(get_option( $value['id'] )); } else { echo stripslashes($value['std']); } ?>" />
	<br/>
	<span style="font-family:Arial, sans-serif; font-size:11px; font-weight:bold; color:#444; display:block; padding:5px 0px; width:350px; float:left;">
		<?php echo $value['desc']; ?>
	</span>
</div>


<?php
break;

case 'textarea':
?>

<div style="width:808px; padding:0px 0px 10px; margin:0px 0px 10px; border-bottom:1px solid #ddd; overflow:hidden;">
	<span style="font-family:Arial, sans-serif; font-size:16px; font-weight:bold; color:#444; display:block; padding:5px 0px; width:350px; float:left;">
		<?php echo $value['name']; ?>
	</span>
	<textarea name="<?php echo $value['id']; ?>" style="width:600px; height:120px;" type="<?php echo $value['type']; ?>" cols="" rows=""><?php if ( get_option( $value['id'] ) != "") { echo stripslashes(get_option( $value['id'] )); } else { echo stripslashes($value['std']); } ?></textarea>
	<br/>
	<span style="font-family:Arial, sans-serif; font-size:11px; font-weight:bold; color:#444; display:block; padding:5px 0px; width:350px; float:left;">
		<?php echo $value['desc']; ?>
	</span>
</div>

<?php
break;
/*Ralph Damiano*/
case 'select':
?>

<div style="width:600px; padding:0px 0px 10px; margin:0px 0px 10px; border-bottom:1px solid #ddd; overflow:hidden;">
	<span style="font-family:Arial, sans-serif; font-size:16px; font-weight:bold; color:#444; display:block; padding:5px 0px; width:350px; float:left;">
		<?php echo $value['name']; ?>

	</span>
	<select style="width:240px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>"><?php foreach ($value['options'] as $option) { ?><option<?php if ( get_option( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option><?php } ?></select>
	<br/>
	<span style="font-family:Arial, sans-serif; font-size:11px; font-weight:bold; color:#444; display:block; padding:5px 0px; width:350px; float:left;">
		<?php echo $value['desc']; ?>
	</span>
</div>

<?php
break;

case "checkbox":
?>

<div style="width:600px; padding:0px 0px 0px; margin:0px 0px 0px; overflow:hidden; float:left;">
	<span style="font-family:Arial, sans-serif; font-size:16px; font-weight:bold; color:#444; display:block; padding:5px 0px; width:350px; float:left;">
		<?php echo $value['name']; ?>
	</span>
	<?php if(get_option($value['id'])){ $checked = "checked=\"checked\""; }else{ $checked = "";} ?>
	<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
	<br/>
	<span style="font-family:Arial, sans-serif; font-size:11px; font-weight:bold; color:#444; display:block; padding:5px 0px; width:200px; float:left;">
	</span>
</div>


<?php break;

}
}
?>
<p class="submit">
<input name="save" type="submit" value="Сохранить изменения" />
<input type="hidden" name="action" value="save" />
</p>
</form>
<form method="post">
<p class="submit">
<input name="reset" type="submit" value="Сбросить" />
<input type="hidden" name="action" value="reset" />
</p>
</form>

<?php
}
add_action('admin_menu', 'mytheme_add_admin');
?>